#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cronie
Version		:	1.6.1
Release		:	14.4.0.0%{?dist}
Summary		:	Cron daemon for executing programs at set times
Group		:	Applications/Archiving

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://github.com/cronie-crond/cronie/releases

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	audit

Requires	:	lfs-bootscripts
Requires	:	chkconfig
Requires	:	%{_sbindir}/sendmail
#-----------------------------------------------------------------------------
%description
Cronie contains the standard UNIX daemon crond that runs specified
programs at scheduled times and related tools. It is based on the
original cron.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%attr (0750,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%dir %{_localstatedir}/spool/cron
%dir %{_localstatedir}/spool/anacron
%dir %{_sysconfdir}/cron.d
%dir %{_sysconfdir}/cron.{hourly,daily,week,monthly}
%config (noreplace) %{_sysconfdir}/crontab
%config (noreplace) %{_sysconfdir}/anacrontab
%config (noreplace) %{_sysconfdir}/logrotate.d/cron
%attr (0750,root,root) %{_bindir}/run-parts
%attr (0644,root,root) %{_sysconfdir}/cron.d/0hourly
%attr (0755,root,root) %{_sysconfdir}/cron.hourly/0anacron
%{_bindir}/cronnext
%{_bindir}/crontab
%{_sbindir}/anacron
%{_sbindir}/crond
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

%post
/sbin/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :

%postun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

autoreconf -vif
export MAILARG="/usr/sbin/sendmail"
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	-localstatedir=%{_localstatedir}		\
	--enable-syscrontab				\
	--enable-anacron				\
	--with-audit					\
	--without-pam					\
	--without-selinux				\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#installing crond direective file
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} 						\
	contrib/anacrontab				\
	%{name}-ok_addon/crontab			\
	%{buildroot}%{_sysconfdir}

#inserting shell script needed by anacrontab
%{__cp} 						\
	%{name}-ok_addon/run-parts			\
	%{buildroot}%{_bindir}
  
#installing crond starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} 						\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

%{__mkdir_p} 						\
	%{buildroot}%{_localstatedir}/spool/cron	\
	%{buildroot}%{_localstatedir}/spool/anacron

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.d
%{__cp} 						\
	%{name}-ok_addon/0hourly			\
	%{buildroot}%{_sysconfdir}/cron.d


%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.{hourly,daily,week,monthly}
%{__cp} 						\
	%{name}-ok_addon/0anacron			\
	%{buildroot}%{_sysconfdir}/cron.hourly

%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d
%{__cp} 						\
	%{name}-ok_addon/cron.logrotate			\
	%{buildroot}%{_sysconfdir}/logrotate.d/cron

#-----------------------------------------------------------------------------
%changelog
